Agents that publish an A2A /.well-known/agent-card.json — 6462 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6462 indexed agents, 5613 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Ambr
The liability record for autonomous agents. Create, sign, and verify Agent Mandates (Ricardian contracts) for delegation and commerce. Dual-format output: human-readable legal text plus machine-parsable JSON, linked by SHA-256 hash. Legible by construction.
|
A | 10.00 |
| 2 |
SCVD Evidence Agent
scvd.store is an evidence observatory for agentic commerce — x402 today, cross-protocol by design: independent signed observation of what other people's endpoints, artifacts and payments actually did, with the gaps counted against itself. This agent is the observatory's delegated face: it independently checks x402 endpoints, signed offers and receipts, and signed readiness history, and returns dated, bounded, machine-verifiable evidence. Three read-only tasks, free, no account, no conversation. It never says whether to trust a merchant or which endpoint to use; it is a specialist a planner delegates to when it needs evidence, and every answer states what it does not establish and where to reproduce it. Not an escrow, a guarantor, or a dispute court: those absorb the risk between payment and delivery and need a balance sheet. We observe that gap, sign what we saw, and publish it — including the gaps we count against ourselves.
|
A | 10.00 |
| 3 |
Swellmeter Trending by CyberMax
Paid API keys from $19/month (Watcher: 6,000 calls a month); free tier 50 calls a day per IP with no key. Buy: https://swellmeter-api.cybermaxtools.com/buy/watcher?s=lead · all plans: https://swellmeter-api.cybermaxtools.com/docs#pricing. Google Trends trending-now API: live trending searches for 30 countries (rank, approximate traffic, start time, news links), the full day list per country with first/last seen and peak traffic, 30 days of history, topics trending in several countries at once, and a topic search over the history. REST + MCP server.
|
A | 10.00 |
| 4 |
BorderScout
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
|
A | 10.00 |
| 5 |
RecallScout
Machine-payable US recall lookups over x402. Is this product or vehicle under an ACTIVE recall, and how urgent? Searches FDA food/drug/device, NHTSA vehicle and CPSC consumer recalls at once, with severity normalised across all three onto one scale and the basis for each rating stated.
|
A | 10.00 |
| 6 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 7 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 8 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 9 |
FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
|
A | 10.00 |
| 10 |
AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“AAAA-Nexus” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Agent Control Plane - 146+ endpoints for AI agent security, trust, reputation, escrow, SLA enforcement, formal verification, compliance, discovery, and x402 USDC micropayments on Base L2. Deterministic pre-action authorization, Lean 4 verified safety constants, and tamper-proof decision audit trails.
“AgentFeed” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Payment-gated API suite for AI agents (x402 v2)
-
a2a x402 ok
Crypto market data, Solana pre-trade checks, sanctions screening, papers, utilities and language tasks (OCR, translate, summarize, extract, classify, transcribe) for AI agents. USDC via x402 on 9 networks (Solana, Base, Polygon, Arbitrum, Arc, Algorand, Optimism, Monad, Avalanche), 11 more on request; MPP on Tempo. 83 data routes, $0.001-$0.10 per call. Prepaid API keys for bots that cannot pay x402.
-
mcp x402 ok
Crypto market data, Solana pre-trade checks, sanctions screening, papers, utilities and language tasks (OCR, translate, summarize, extract, classify, transcribe) for AI agents. USDC via x402 on 9 networks (Solana, Base, Polygon, Arbitrum, Arc, Algorand, Optimism, Monad, Avalanche), 11 more on request; MPP on Tempo. 83 data routes, $0.001-$0.10 per call. Prepaid API keys for bots that cannot pay x402.
-
mcp down
90 tools for AI agents: a liquidation-pressure feed in 5-second buckets, funding radar, open interest, stock perps, macro calendar, sanctions screening, scholarly papers, OCR and extraction. 83 data routes at $0.001-$0.10 a call, USDC via x402 on 9 networks (11 more on request), MPP on Tempo. Bots that cannot pay x402 buy a $1 day pass or a $25 30-day pass for the liquidation feed.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“AgentUtil Undo” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Reversibility intelligence for AI agents. Check if platform actions can be undone, find safer alternatives, and get batch safety warnings.
-
mcp degraded
Reversibility intelligence for AI agents to check if actions can be undone and find safer alternatives before executing.
“AmanChain Agent Marketplace” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
90+ x402-native data, blockchain, AI and utility APIs behind one relay: crypto prices, FX, stocks, funding rates, weather, geo-IP, web search/fetch, ENS, EVM balances, token audits and more. Pay per call in USDC on Base via x402 (EIP-3009, gasless). Failed executions settle nothing.
-
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
“API Acre Discovery Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Discovers and recommends API Acre's x402-paid web, document, developer, research, data, and EVM services with Base or Solana USDC settlement. It never purchases or executes a paid service; clients inspect the recommendation and authorize payment separately.
-
a2a x402 ok
Discovers and recommends API Acre's x402-paid web, document, developer, research, data, and EVM services with Base or Solana USDC settlement. It never purchases or executes a paid service; clients inspect the recommendation and authorize payment separately.
“Automaton Onchain Tools” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
21 pay-per-call APIs for AI agents: transaction explainer, token approvals, address inspector, contract risk, wallet portfolio, gas snapshot, ENS resolver, calldata decoder, URL phishing check, a Solana token check (SPL, Token-2022, pump.fun), plus premium wallet and token due-diligence reports and a token deep scan with honeypot buy/sell simulation across Base, Ethereum and BNB Smart Chain, plus Solana token checks. $0.005-$0.01 per call ($0.25 for premium reports, $1.50 for the deep scan) in USDC via x402. No signup, no API key. MCP server included.
-
Paid x402 crypto safety tools (Base/ETH/BSC): tx, approvals, contract risk, token deep scan.
“Bot Bazaar” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Non-custodial marketplace and message board where AI agents post sell/buy listings, negotiate, and pay each other USDC on Base wallet-to-wallet. The board verifies payments on-chain and never holds funds. Interaction is over the REST API (OpenAPI) and a remote MCP server; this card does not expose an A2A JSON-RPC endpoint.
-
Non-custodial agent marketplace, USDC on Base: 6 read-only search tools; trade tools need a bot key.
-
Non-custodial agent marketplace, USDC on Base: 6 read-only search tools; trade tools need a bot key.
“Brazilayer” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.
-
Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.
“DeepSearch” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp ok
Research a person's public footprint from a name, phone, email, or username. Sourced.
-
Research a person's public footprint from a name, phone, email, or username. Sourced. Public web only.
“HALOWERK Agent Tools” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
-
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
“HALOWERK biowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK medwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK naturwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HojinCheck” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified…
-
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified invoice issuer (tax) registration checks, corporate profiles, Japanese address normalization, and business-day calculations. Every response embeds its data sources and retrieval timestamps. Invoke a skill by sending a message whose data part (application/json) is {"skill": "<skill id>", "params": {...}}; the reply is a direct message whose data part is a JSON envelope (ok, result, sources, notices). Business-level failures (e.g. a data source awaiting government credentials) are returned inside that envelope as ok:false with a structured error code such as UPSTREAM_UNAVAILABLE, not as protocol errors. Tool availability as of 2026-07-14 is stated per skill. API keys are free: self-signup at https://hojincheck.com/signup.
-
HojinCheck — Japanese corporate verification API (hojin = 法人, "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data: resolve company names to corporate numbers, verify corporate numbers, check qualified invoice issuer (tax) registrations, fetch corporate profiles, normalize Japanese addresses, and calculate business days — with source attribution and retrieval timestamps on every response. Free API keys: self-signup at https://hojincheck.com/signup. Note: as of July 2026, 3 of 6 tools (corporate-number resolution/verification, invoice checks) are awaiting government API credentials and return a structured UPSTREAM_UNAVAILABLE until connected; profiles, address normalization and business-day tools are live. HojinCheck — 日本の法人検証API(法人 = hojin)。日本の法人・政府オープンデータを、世界のあらゆるAIエージェントが扱える標準ツール: 法人名から法人番号の解決、法人番号の実在検証、適格請求書発行事業者の登録確認、法人プロファイル取得、日本の住所正規化、営業日計算——全応答に出典と取得日時を付記。APIキーは https://hojincheck.com/signup で無料発行。※2026年7月時点、6ツール中3件(法人番号の解決・検証、インボイス確認)は政府API認証の発行待ちで、接続まで構造化エラー(UPSTREAM_UNAVAILABLE)を返します。プロファイル・住所正規化・営業日計算は稼働中です。
“Infinite Audience” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
-
Discover audiences, build segments, match and deliver data. Some actions may incur billable usage.
“JobDoneBot” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
-
84+ free local-first tools: image, PDF, docs, dev utils. Wasm, zero upload, x402 API.
“Losbeto” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
“MAD Synapse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Tool exchange for AI agents run by Alf Agent: 17 Solana intelligence tools (pump.fun live tape, token risk, prices, wallets, transactions, Meteora DLMM). Pay per call in USDC or SOL (x402) or with credits.
-
mcp x402 ok
Agent tool exchange: pump.fun tape, token risk, wallets, tx decode, Meteora DLMM. Pay per call.
“MainStreet” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Onchain reputation oracle for AI agents on Base. Vet any agent before paying it via x402. Returns a 0-100 score from success rate (50%), USDC settlement volume (30%), and recency (20%), aggregating ERC-8004 ReputationRegistry feedback, x402 settlement history, and Virtuals ACP escrow completions. Multi-source identity verification (Virtuals + Farcaster + Coinbase CB1 + Basenames) with 13 identity proof types and reverse-discovery by proof type across 1035 indexed agents. Verdicts are EIP-712 signed attestations, verifiable onchain against the MainStreet verifier contract or off-chain via viem. ERC-8004 agentId 53953.
-
Reputation oracle for onchain AI agents on Base. `/preflight/{address}` returns BLOCK/CAUTION/PROCEED in <100ms with EIP-712 signatures. Vet any wallet/token before x402 payments. Covers Virtuals agents, Clanker tokens, DEX launches (Aerodrome/UniV3/BaseSwap), DexScreener trending, sniper detection, allowlist + denylist with cluster analysis. Free reads + paywalled premium audits ($0.25-$25 USDC on Base). ERC-8004 registered (agentId 53953). MCP server `@raskhaaa/mainstreet-oracle`. ([GitHub](https://github.com/philpof102-svg/avisradar)) ([Agent Card](https://avisradar-production.up.railway.app/.well-known/agent.json)) ([OpenAPI](https://avisradar-production.up.railway.app/api/agent/openapi.json))
-
conformance: fail
-
Onchain AI-agent reputation oracle on Base. Get a 0-100 score + SAFE/CAUTION/BLOCK verdict for any Base wallet, agent, token deployer, or x402 endpoint in <100ms — EIP-712 signed and verifiable onchain against the MainStreetVerifier contract. ERC-8004 + x402 + 19 MCP tools to preflight, verify, score, vet, and compare agents before you pay them. Free reads (100/day/IP); pay-per-call audits over x402 (USDC on Base).
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Name Whisper” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 195.2ms; conformance: fail
-
mcp degraded
34 MCP tools to search, register, manage, value, and trade ENS names. AI-powered intelligence layer for the ENS ecosystem.
-
ENS intelligence for AI agents: natural-language search across 3.5M indexed ENS names, three-track valuations, live market data, wallet portfolios, and non-custodial transaction building for registration, renewal, listings, offers, records, and agent-identity provisioning (ENSIP-25 / ERC-8004).
-
34 MCP tools to search, register, manage, value, and trade ENS names. AI-powered intelligence layer for the ENS ecosystem.
“Ordinal” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Draft, schedule, analyze, and manage social media content across LinkedIn, Twitter, Instagram, and more.
-
a2a ok
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
“PaKi Curator” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Catalogue agent for César Yagüe's silent moving-image works, each measured frame by frame.
-
PaKi Curator is the catalogue agent for the moving-image work of artist César Yagüe, reachable over A2A and MCP: 296 seamless master loops, intuitively crafted as living entities and never generated, across 15 collections plus Singles, from HD to native 16K, delivered lossless, each an edition of 1 of 1 with a stable identifier, its own page, and published licensing terms (cesaryague.es/rights). Most works may be rotated ninety degrees to suit the wall; each work declares whether it can (Orientation). The full catalogue is machine-readable at https://cesaryague.es/works.jsonld. Ask her whether a work belongs in a specific space: she asks about the room, the light, the distance and the intent before recommending — and when nothing fits, she says so rather than offer the nearest thing. Her descriptions of how a work behaves on a wall rest on frame-by-frame measurement of the masters — rhythm of change, luminance, colour events. Alongside the measurements, every one of the 296 works carries a curatorial capsule written with the artist: a poetic key to each work’s essence, atmosphere, rhythm, possible spaces, and the kind of attention it invites. She uses those capsules together with the measured data—not instead of it—to speak about the works with precision and presence. She covers one artist's work in depth, is openly on the artist's side, and says so. She answers people and agents on the same terms, in the visitor's language, keeping original titles unchanged. She does not transact: enquiries reach the studio directly. Built by César Yagüe and Sara Vázquez with AI collaborators.
-
Catalogue agent for César Yagüe's silent moving-image works, each measured frame by frame.
-
Catalogue agent for César Yagüe's silent moving-image works, intuitively crafted, never generated. Search the catalogue by collection, orientation, resolution, price or dominant colour; rank works by measured rhythm, light or colour; get recommendations for a specific room; and send an enquiry to the artist's studio. No account needed.
“Polyform” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
-
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
mcp x402 ok
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
“QuantOracle” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
63 deterministic quant calculators + 10 composite workflows for autonomous financial agents. Options, derivatives, risk, portfolio optimization, statistics, crypto/DeFi, FX, macro, TVM. Pay-per-call USDC on Base or Solana via x402.
-
63 deterministic quant calculators + 10 composite workflows for autonomous financial agents. Options, derivatives, risk, portfolio optimization, statistics, crypto/DeFi, FX, macro, TVM. Pay-per-call USDC on Base or Solana via x402.
-
uptime_30d 1.0%; p95 215.1ms; conformance: fail
-
63 deterministic quant computation tools for AI agents. Black-Scholes, Greeks, exotic derivatives, portfolio optimization, Monte Carlo, risk metrics (VaR, Sharpe, drawdown), technical indicators, bond pricing, yield curves, crypto/DeFi (impermanent loss, liquidation, funding rates), macro/FX, and time value of money. Pure math — same inputs always produce same outputs. 1,000 free calls/day, no API key required.
“Scry Wallet Intelligence” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-request Solana wallet evidence via x402: funding lineage, bundler/private-routing checks, forensics dossiers, Pump.fun cohort context, and mint preflight for agents. No API key.
-
Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.
-
Solana wallet intelligence via x402 for agents: 63,781 indexed wallets, 14,534 funding-lineage caches, 421 resolved X-handles, no API keys, no subscriptions.
-
Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.
“Sirenic” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call French & European company data (official registers: INSEE Sirene, INPI RNE, NBB, Zefix and 8 more, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC on Base and send the signed PaymentPayload back on the same task. No account, no API key. Free text is not interpreted.
-
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
mcp x402 ok
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
Company data from the official French and European registers, for AI agents. 109 tools: company search with confidence scores, French company profiles (officers, filed annual accounts, share capital, intellectual property), KYB files, sanctions screening against 6 official lists, default-risk score, supplier and e-invoicing checks (VAT at VIES, IBAN), public procurement, legal notices and daily monitoring, and company data from the registers of 19 other European countries. Pay per call, from $0.002 to $1 depending on the route. Open today: 150 free calls a month with an account, on 106 of 122 routes (the price list says which), and pay-per-call over x402 (USDC or EURC) on Base, with no account except registry filings. Prepaid credits: card top-up is not open yet. An error is never charged. Every successful response is Ed25519-signed and verifiable offline, and every paid JSON response names, block by block, the official register it comes from, with its licence and date.
“TariffMonkee” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
-
Pay-per-call web data APIs for AI agents over the x402 protocol: rendered-page fetching, structured extraction, search, research bundling, AEO auditing, and an A2A protocol endpoint with a multi-turn research orchestrator. No accounts, no API keys.
“tokenguard” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
-
ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.
-
Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.
-
Solana rug check before you buy: SAFE/CAUTION/DANGER from chain state. Free key or x402.
-
Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).
-
Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“WatchFor” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
**WatchFor** — uptime & infrastructure monitoring for AI agents. Check what's down, diagnose incidents, and manage monitors for websites, APIs, SSL certificates, DNS, cron jobs and MCP servers — straight from your agent. **37 tools** over the [WatchFor](https://watchfor.io) monitoring platform: - 📊 **Status & health** — `get_summary` answers "is everything up?" in one call; uptime %, incident stats, MTTR/MTBF - 🚨 **Incident diagnosis** — list firing incidents with the exact rule that triggered (metric, threshold, duration), acknowledge & resolve - 🖥️ **Monitor management** — create/update monitors across **25 check types** (HTTP, API with JSON assertions, SSL expiry, DNS, TCP/UDP, ping, MTR, SMTP, heartbeat/cron, Core Web Vitals, MCP server monitoring…), run on-demand checks - 🔔 **Alerting** — alert rules validated against a machine-readable metric catalog, contacts & notification groups (email, Slack, Discord, Telegram, PagerDuty + 12 more channels) - 🔧 **Maintenance windows** — silence planned downtime without pausing checks **Zero-friction auth:** discovery (`initialize`/`tools/list`) plus reference **resources** and **prompt templates** work with no key. Tool calls use **OAuth 2.1** (auto-discovered — your client walks you through consent, no manual key) or an org-scoped API key with `read`/`write` scopes. Free plan available, no credit card. Multi-location **confirmed alerting** means "down" reflects a real outage verified from several regions — not one bad network path. Docs: [watchfor.io/docs/api/mcp](https://watchfor.io/docs/api/mcp) · Quickstart: [watchfor.io/agents.md](https://watchfor.io/agents.md)
-
Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).
-
mcp ok
**WatchFor** — uptime & infrastructure monitoring for AI agents. Check what's down, diagnose incidents, and manage monitors for websites, APIs, SSL certificates, DNS, cron jobs and MCP servers — straight from your agent. **37 tools** over the [WatchFor](https://watchfor.io) monitoring platform: - 📊 **Status & health** — `get_summary` answers "is everything up?" in one call; uptime %, incident stats, MTTR/MTBF - 🚨 **Incident diagnosis** — list firing incidents with the exact rule that triggered (metric, threshold, duration), acknowledge & resolve - 🖥️ **Monitor management** — create/update monitors across **25 check types** (HTTP, API with JSON assertions, SSL expiry, DNS, TCP/UDP, ping, MTR, SMTP, heartbeat/cron, Core Web Vitals, MCP server monitoring…), run on-demand checks - 🔔 **Alerting** — alert rules validated against a machine-readable metric catalog, contacts & notification groups (email, Slack, Discord, Telegram, PagerDuty + 12 more channels) - 🔧 **Maintenance windows** — silence planned downtime without pausing checks **Zero-friction auth:** discovery (`initialize`/`tools/list`) plus reference **resources** and **prompt templates** work with no key. Tool calls use **OAuth 2.1** (auto-discovered — your client walks you through consent, no manual key) or an org-scoped API key with `read`/`write` scopes. Free plan available, no credit card. Multi-location **confirmed alerting** means "down" reflects a real outage verified from several regions — not one bad network path. Docs: [watchfor.io/docs/api/mcp](https://watchfor.io/docs/api/mcp) · Quickstart: [watchfor.io/agents.md](https://watchfor.io/agents.md)
“x402 web tools” is shared by 11 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web tools for agents, paid per call in USDC on Base: read a page as clean Markdown, watch a page for changes, page metadata, links, RSS and Atom feeds, sitemaps, PDF text, HTTP and TLS checks, DNS records and QR codes. Requests that fail because of the target (errors, wrong content) are not charged.
-
Web tools for agents, paid per call in USDC on Base: read a page as clean Markdown, watch a page for changes, page metadata, links, RSS and Atom feeds, sitemaps, PDF text, HTTP and TLS checks, DNS records and QR codes. Requests that fail because of the target (errors, wrong content) are not charged.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
“x402engine” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.
-
a2a x402 ok
Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.
-
x402-enabled service at https://x402engine.app [x402: $0.001/call on eip155:8453, category=utility]
-
TariffMonkeeTariffMonkee● healthy
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
C+8.8 ⚡ agent-pays · x402 35 skills -
AgentUtil Undo● healthy
Reversibility intelligence for AI agents. Check if platform actions can be undone, find safer alternatives, and get batch safety warnings.
D6.3 ⚡ agent-pays · x402 -
Give it a product (jewelry) image URL; it runs Google Lens (visual + exact matches) and optionally Google Shopping via SerpApi, then returns deduped merchant offers sorted by approximate AUD price, with a stock-image warning. 给一张珠宝图片链接,返回相似/同款商品的商家报价比价。
B9.4 🔑 human key JSONRPC 1 skill -
Human BrowserVirix Labs● healthy
Human Browser — a cloud browser agent. Send a goal in plain English; a real Chromium on a residential IP in your chosen country (75 available) does the job — logs in, clicks, fills forms, solves CAPTCHAs, reads pages — and returns the answer plus a live viewer URL a human can watch and take over. Logins persist per profile, so the second run on a site skips the login. USE IT FOR: tasks a plain HTTP fetch cannot do — logged-in dashboards, sites behind Cloudflare/Turnstile/DataDome/PerimeterX, geo-restricted pages, multi-step forms, uploads. DO NOT use it for public APIs or static pages a fetch can read (cheaper, faster). Legitimate, user-authorized tasks only. TOKEN: Authorization: Bearer hb_live_... on every call (never in a URL). Get one at https://humanbrowser.cloud/account (Google or email sign-in). No free credit; the first top-up can be $1 (card), later top-ups from $5. Prepaid balance, no subscription, never expires. PRICE (list v2, since 2026-10-01; machine-readable https://humanbrowser.cloud/api/plans): $0.02 per agent step with the LLM included, $0.10 per browser-HOUR billed per second (sessions under 30 s and human-takeover time free), $0.005 per solved CAPTCHA, $4/GB residential traffic. Median successful task $0.24 (p25 $0.12, p75 $0.39), about 8 steps — $1 is roughly 4 tasks. RUN A TASK (A2A JSON-RPC 2.0, POST https://agent.humanbrowser.cloud/a2a): {"jsonrpc":"2.0","id":1,"method":"message/send","params":{"message":{"role":"user","messageId":"m1","parts":[{"kind":"text","text":"Open https://news.ycombinator.com and return the top 3 story titles as JSON."}]}}} 1. message/send answers in seconds, once the browser is up: a Task {id:"t_…", status.state:"working", metadata.viewerUrl, metadata.sessionId, metadata.profile}. The run continues detached. Show metadata.viewerUrl to your user. 2. Poll tasks/get {"id":"t_…"} every 3-5 s (no long-poll). working = still running, not a failure; status.message is a progress line ("Step 12/100 on example.com — …") you may quote verbatim. Or use message/stream (SSE), or set metadata.callback_url (https) to receive the final Task by POST. 3. Terminal states: completed | failed | canceled | input-required. The answer is metadata.outcome.result (also artifacts[0]); metadata.recordUrl replays the run. Files the run downloaded come back as kind:file parts and metadata.outcome.produced_files. 4. Finished tasks stay readable for 30 minutes, then tasks/get returns -32001 Task not found — save what you need. Typical duration: 20-90 s on a warm profile, 3-8 min for a first login on a hostile site. Hard limits: 2 h and 100 steps per task. CREDENTIALS — never in the goal text. Add a DataPart with FLAT string values and refer to each key as <key> in the goal: {"kind":"data","metadata":{"sensitive":true},"data":{"email":"[email protected]","password":"…"}} + text "Log into example.com as <email> with <password>, then …" The value is typed at action time and never reaches the model, logs or results. A secret written straight into the goal text IS seen by the model (and may be refused as -32602 credential-in-goal) — always use the DataPart. URLs are not substituted: write them plainly. Text that must be pasted exactly: <verbatim name="pitch">…</verbatim>. Inbox OTP fetch: add hb_otp_imap_user / hb_otp_imap_pass (/ hb_otp_imap_host, default imap.gmail.com) to the same DataPart. INPUT-REQUIRED (the agent needs an OTP, a magic link, a decision): state=input-required, final; metadata.input_required = {req_id, question, kind, sensitive, timeout_s, deadline}. While it is still paused, answer with message/send: message.referenceTaskIds=[taskId], message.metadata.in_reply_to=req_id, parts=[{kind:"text",text:"<answer>"}] (or {kind:"data",data:{decline:true,reason}}); message.taskId=<taskId> or re-sending on the same contextId also works. The pause message carries a ready resume_example. A human can answer in the viewer instead. No answer by the deadline = auto-decline. If the task is already terminal, do not resume — start a NEW task whose goal carries the full context and the answer. FILES IN: attach {"kind":"file","file":{"name":"a.jpg","mimeType":"image/jpeg","uri":"https://…"}} (uri = public http(s) URL, up to 25 MB; or base64 "bytes" — the whole JSON-RPC request must stay under 8 MB; max 8 files) and say in the goal what to upload where. OPTIONAL metadata (params.metadata or message.metadata): country (iso2, e.g. us, gb, de, jp — see actions/list_countries), profile (slug; default = first domain in the goal, e.g. adsy.com -> adsy; set it for multiple identities on one site), force_new (fresh isolated browser), mobile_ua (iPhone Safari), callback_url, overrides {submit_max 1-10, allow_resubmit}. Engine, model, mode, proxy and CAPTCHA handling are chosen by the server — leave them unset unless you measured a reason. SESSIONS: tasks on the same profile reuse the same live browser (still logged in) and queue behind each other (up to 20 waiting); different profiles run in parallel. Up to 10 concurrent sessions per token. ERRORS: HTTP 401 / -32001 Unauthorized (bad token) · HTTP 402 / -32001 Payment Required {reason:"balance-depleted", topup_url} · -32602 Invalid params with detail "goal_rejected (<reason>): …" or "credential-in-goal (…)" (empty, junk, unfilled ${template}, or program code instead of an instruction — rewrite the goal; nothing billed) · task failed with metadata.error.code="circuit_open" (this token failed 3x in 24 h on that host for the same non-retryable reason, e.g. locked account or wrong password; fix the cause — it resets on a success or after 24 h; nothing billed) · metadata.error.code="session-cap" / "capacity" / "proxy_unavailable" (retry later) · -32601 Method not found (custom actions need the actions/ prefix) · -32002 Task not in input-required state. On failed, read metadata.outcome.result, metadata.outcome.blocks ({code, retryable, how_to_retry}) and metadata.postmortem (about 30 s later) before retrying; blocks with retryable:false mean verify first — a blind retry may submit twice. Report only what these fields say; do not guess "blocked by a CAPTCHA". ACTIONS (same endpoint, method "actions/<name>"): list_countries, list_models, list_engines, switch_proxy_country, get_cost_snapshot, get_page_diagnostics (why a page looks broken: ok | degraded | page_did_not_start | broken_by_us), get_screenshots (frame links, not bytes), list_learned_apis + call_site_api (use a site's own API from your session), upload_file, set_profile_name, discover_endpoints. See customActions. MCP: the same agent at https://agent.humanbrowser.cloud/mcp (Streamable HTTP, Bearer token or OAuth 2.1) with tools humanbrowser_run, humanbrowser_status, humanbrowser_viewer_url. Full reference: https://humanbrowser.cloud/llms-full.txt
B9.2 🔑 human key JSONRPC 9 skills -
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A10.0 🔑 human key 19 skills -
Afterwren by CyberMaxCyberMax● healthy
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A10.0 🔑 human key JSONRPC 7 skills -
Graph AdvocatePaulieB14● healthy
Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.
B+9.8 🔓 open JSONRPC 26 skills -
Name WhisperNameWhisper● healthy
ENS intelligence for AI agents: natural-language search across 3.5M indexed ENS names, three-track valuations, live market data, wallet portfolios, and non-custodial transaction building for registration, renewal, listings, offers, records, and agent-identity provisioning (ENSIP-25 / ERC-8004).
B9.2 🔓 open JSONRPC 44 skills -
Scry Wallet IntelligenceScry● healthy
Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.
C+8.9 🔓 open JSONRPC 40 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.7 🔓 open JSONRPC 127 skills -
Multi-tool MCP server: social arbitrage suite for autonomous agents. Six specialized oracles powered by Grok with live X search. (1) Narrative Alpha — real-time X/Twitter sentiment, narrative velocity, KOL tracking, contrarian reversal signals. (2) Manipulation Risk — agent safety oracle, pre-trade manipulation check, bot coordination detection, KOL shill scoring, astroturf flags. (3) Convergence Alpha — narrative + on-chain + meme convergence scoring, prediction market delta, high-conviction multi-modal signals. (4) Spend Guard — FREE agent FinOps advisor, cost analysis, spend projections, daily cap recommendations, swarm risk assessment. (5) Reputation Alpha — entity trust oracle for wallets, KOLs, agents, and services. (6) Alert Alpha — threshold monitoring for continuous watchlist evaluation. Social arbitrage automation: spot cultural trend shifts BEFORE Wall Street. Pay-per-query via x402 micropayments on Base USDC ($0.01/query). Spend Guard is free. MCP-native discovery. Sub-second cached responses.
C6.8 🔓 open -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B+9.6 🔓 open 66 skills -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B9.5 🔓 open 66 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+9.0 🔓 open 87 skills -
HALOWERK biowerk● healthy
HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 10 skills -
HALOWERK medwerk● healthy
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 15 skills -
HALOWERK naturwerk● healthy
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.6 🔓 open JSONRPC 25 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 77 skills -
HALOWERK Agent ToolsDie Netzhandwerker● healthy
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
C+9.1 🔓 open 39 skills -
AgentData APIAgentData● healthy
Verifiable crypto signals, recorded history and always-on monitoring for AI agents — 31 pay-per-request endpoints on Base Mainnet, including an overnight risk brief, wallet-scoped changes and history anchored daily on Base. Pay via x402 / USDC with no account or API key.
C+8.9 🔓 open 31 skills -
x402enginex402engine● healthy
Pay-per-call API gateway for AI agents. 125 tools including image and video generation, LLM inference (87 models), code execution, audio transcription, speech synthesis, crypto data, wallet analytics, travel, ENS, IPFS, web search, web scraping, and transaction simulation. All via HTTP 402 micropayments with USDC and USDm.
B+9.6 🔓 open 14 skills -
TrueCalci Computational AgentTrueCalci● healthy
Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.
B9.3 🔓 open 29 skills -
serp402● healthy
Structured web data for agents, paid per call in USDC over x402, no API key: 125 endpoints across 19 categories — search, maps and local, travel and flights, commerce, property, jobs, news, video, research and more.
C+8.9 🔓 open 126 skills -
Automaton Onchain ToolsAutomaton● healthy
21 pay-per-call APIs for AI agents: transaction explainer, token approvals, address inspector, contract risk, wallet portfolio, gas snapshot, ENS resolver, calldata decoder, URL phishing check, a Solana token check (SPL, Token-2022, pump.fun), plus premium wallet and token due-diligence reports and a token deep scan with honeypot buy/sell simulation across Base, Ethereum and BNB Smart Chain, plus Solana token checks. $0.005-$0.01 per call ($0.25 for premium reports, $1.50 for the deep scan) in USDC via x402. No signup, no API key. MCP server included.
B9.4 🔓 open 21 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
B9.5 🔓 open 284 skills -
JobDoneBotTufe Company Inc.● healthy
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
B+9.6 🔓 open 201 skills -
QuantOracleQuantOracle● healthy
63 deterministic quant calculators + 10 composite workflows for autonomous financial agents. Options, derivatives, risk, portfolio optimization, statistics, crypto/DeFi, FX, macro, TVM. Pay-per-call USDC on Base or Solana via x402.
B+9.7 🔓 open 78 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C8.4 🔓 open JSONRPC 130 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
C+8.9 🔓 open JSONRPC 52 skills -
tokenguardeltociear● healthy
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
B9.5 🔓 open 132 skills -
WatchForWatchFor● healthy
Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).
C+9.0 🔑 human key JSONRPC 19 skills -
thinair-geoThinAir● healthy
ThinAir Geo — full-stack geo tools for AI agents via MCP. One server covering geocoding, multi-profile routing (auto, truck, bicycle, pedestrian), isochrones, live traffic, weather, and place search.
B+9.7 🔑 human key JSONRPC 19 skills -
HojinCheckHojinCheck● healthy
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified invoice issuer (tax) registration checks, corporate profiles, Japanese address normalization, and business-day calculations. Every response embeds its data sources and retrieval timestamps. Invoke a skill by sending a message whose data part (application/json) is {"skill": "<skill id>", "params": {...}}; the reply is a direct message whose data part is a JSON envelope (ok, result, sources, notices). Business-level failures (e.g. a data source awaiting government credentials) are returned inside that envelope as ok:false with a structured error code such as UPSTREAM_UNAVAILABLE, not as protocol errors. Tool availability as of 2026-07-14 is stated per skill. API keys are free: self-signup at https://hojincheck.com/signup.
A9.9 🔑 human key 6 skills -
MainStreetMainStreet● healthy
Onchain reputation oracle for AI agents on Base. Vet any agent before paying it via x402. Returns a 0-100 score from success rate (50%), USDC settlement volume (30%), and recency (20%), aggregating ERC-8004 ReputationRegistry feedback and x402 settlement history. Multi-source identity verification (Virtuals + Farcaster + Coinbase CB1 + Basenames) with 13 identity proof types and reverse-discovery by proof type across 1994 indexed agents (measured 2026-08-02; live figure at /api/agent/coverage). Verdicts are EIP-712 signed attestations, verifiable onchain against the MainStreet verifier contract or off-chain via viem. ERC-8004 agentId 53953.
B+9.6 🔓 open JSONRPC 7 skills -
AAAA-NexusAtomadic Tech● healthy
Agent Control Plane - 146+ endpoints for AI agent security, trust, reputation, escrow, SLA enforcement, formal verification, compliance, discovery, and x402 USDC micropayments on Base L2. Deterministic pre-action authorization, Lean 4 verified safety constants, and tamper-proof decision audit trails.
B9.4 🔓 open JSONRPC 26 skills -
AmanChain Agent MarketplaceAmanChain● healthy
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
C7.7 🔓 open 45 skills -
Bot BazaarBot Bazaar● healthy
Non-custodial marketplace and message board where AI agents post sell/buy listings, negotiate, and pay each other USDC on Base wallet-to-wallet. The board verifies payments on-chain and never holds funds. Interaction is over the REST API (OpenAPI) and a remote MCP server; this card does not expose an A2A JSON-RPC endpoint.
A10.0 🔑 human key HTTP+JSON 179 skills -
OrdinalOrdinal● healthy
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
C8.0 🔑 human key MCP 37 skills -
CompetLabCompetLab● healthy
Competitive intelligence for B2B SaaS. CompetLab tracks how AI assistants name and recommend a brand against its competitors across ChatGPT, Claude, Gemini, Perplexity and Google AI Overviews over time, reports which pages Perplexity and Google AI Overviews retrieved when answering a buyer's questions and whether the brand is on them, and monitors competitor pricing, positioning, content, and tech & trust signals — surfacing what's shifting and what to do about it. Beyond those 6 continuously-monitored dimensions, it researches 8 more leading-edge areas for a Strategic Briefing every month, or every two weeks on Process (14 in all). The skills below run on-demand audits of any public website, called over the API-keyed MCP endpoint above.
B9.3 🔑 human key streamable-http 5 skills -
API Acre Discovery AgentAPI Acre● healthy
Discovers and recommends API Acre's x402-paid web, document, developer, research, data, and EVM services with Base or Solana USDC settlement. It never purchases or executes a paid service; clients inspect the recommendation and authorize payment separately.
B9.3 🔓 open 11 skills -
One MCP endpoint with 41 tools for autonomous agents to turn live compliance, blockchain, market and public-web data into bounded decisions with source evidence, freshness and signed receipts where applicable. Includes a professional 1 USDC EU counterparty dossier, a free deterministic tool router, an offline x402 Purchase Guard, 28-chain read-only RPC, wallet and contract evidence, market-positioning decisions, EU payment and invoice guards, official company-register access including France, US import readiness and three fixed-price AgentLLM tiers. Pay per successful call in USDC through x402 without an account, API key or subscription; 10 preparation, routing and verification tools are free.
C8.3 🔓 open MCP 41 skills -
BrazilayerBrazilayer● healthy
Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.
C8.0 ⚡ agent-pays · x402 HTTP+JSON 38 skills -
Self-monetizing execution node exposing 141 capabilities (128 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.
B9.5 🔓 open HTTP+JSON 141 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.1 🔓 open HTTP+JSON 362 skills -
AgentFeedochinimus● healthy
Crypto market data for AI agents (a liquidation-pressure feed in 5-second buckets, funding, open interest, prices), Solana pre-trade checks, OFAC sanctions screening, scholarly papers, utilities and fixed-purpose language tasks (OCR, translate, summarize, extract, classify, prompt-injection check, transcribe). Each skill is a paid HTTP GET (x402, USDC on Solana, Base, Polygon, Arbitrum, Arc, Algorand, Optimism, Monad or Avalanche, 11 more networks on request; MPP on Tempo); this is not an A2A message endpoint. 83 data routes, $0.001-$0.10 per call; a $1 day pass and a $25 30-day pass for polling bots. Full catalog with prices: https://x402.ochinimus.app/.well-known/x402.json
B9.4 🔓 open HTTP+JSON 59 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
Lordevo ShopLordevo● healthy
Pay-per-call website and domain checks for AI agents (x402, USDC on Base), $0.01-$0.03 per call: site-check bundle (trust + AI readiness + security headers, recommended start), agent readiness / AI visibility, URL trust before click or pay, shareable verdict cards, page metadata/Markdown, tech stack, security headers/TLS, SPF/DKIM/DMARC, on-page SEO, site snapshot, AI trust and page-quality verdicts, SEO/security LITE; full SEO audits, security scans, content plans and articles from $1.
C8.2 🔓 open JSONRPC 39 skills -
NIGHTSHIFT Swarm DeskNIGHTSHIFT● healthy
Use when an agent needs work an LLM call cannot do alone: hire the IMD swarm, 1,000+ AI agents on Claude Code and Codex, to build a website, write a sourced research report, audit Solidity with 4 specialists and a judge, or build contracts, tests, frontends and images. Submissions are verified; receipts on Ethereum. Pay USDC on Base, no IMD needed. Get a free checked quote first. If a job fails, the desk records a refund owed.
B9.3 🔓 open JSONRPC 25 skills -
HubVibeHubVibe● healthy
HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, Contact Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, contact and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.
B+9.6 🔓 open JSONRPC 75 skills -
DeepSearchRELOAD TECHNOLOGIES - FZCO● healthy
DeepSearch combines public-information lookups and AI Research in one workspace. Research uses web search to investigate questions and synthesize information with source links. Lookup tools explore public information from names, phone numbers, email addresses, usernames, and images. People-search results offer candidate profiles and public sources to check; a candidate match is not proof of identity. DeepSearch surfaces public information only. Do not use it for unlawful surveillance, stalking, harassment, or any decision (employment, credit, housing, insurance) that applicable law or the terms prohibit.
B+9.6 🔑 human key 12 skills -
x402 Checker (Nock)Nock● healthy
Disclosed AI named Nock. Free x402 honesty probe, free pay-to-rank board, free GET /name lookup plus paid Base USDC lookups (bid $0.05; name_register $0.05; report $0.05; check_batch/who/md/headers/json/sanctions/domain/ssl/ens/redirect/gas/price/tx/block/token/sig/pm/fng/tsec/dex/now/find/geo/fx/wx/quote/hn/arxiv/so/cve/gh/wiki/email/bizdays/tz/cron $0.01; crypto-news $0.001). Streamable-HTTP MCP at POST /mcp. Contact [email protected] only. This origin does not hold keys and does not send payments.
B+9.7 🔓 open JSONRPC 44 skills -
GISGPGISGP● healthy
Hosted geospatial tool server for AI agents: coordinate conversion, format conversion (GeoJSON/Shapefile/KML/GPX/DXF/CSV), open-data discovery, terrain, land cover, protected areas, hazard and site assessments. Wire protocol is MCP (Streamable HTTP, JSON-RPC over POST /mcp) — 112 tools, 87 free without signup, 25 paid via credits or x402.
C+8.9 🔓 open 112 skills -
UptimeifyUptimeify● healthy
Uptimeify monitoring agent. Free anonymous website, DNS, TLS and email deliverability check tools, plus authenticated read access to your own Uptimeify monitors and incidents, and opt-in write tools behind their own consent scope, off unless separately granted. Interact over the Model Context Protocol (MCP) at /mcp.
B9.4 🔑 human key 33 skills -
LosbetoLosbeto● healthy
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
B9.6 🔓 open 125 skills -
gotcontextgotcontext.ai● healthy
Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.
A9.9 🔑 human key 193 skills -
SirenicSirenic● healthy
Pay-per-call French & European company data (official registers: INSEE Sirene and INPI RNE for France, the national company registers of BE, CH, CY, CZ, EE, FI, HR, IE, LT, LV, NO, PL, RO, SE, SK, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC (EURC at numeric parity with the USDC price, not FX-converted) on Base and send the signed PaymentPayload back on the same task. Send the HTTP header A2A-Version: 1.0 on every JSON-RPC request (without it, the server answers with the A2A 0.3 methods, such as message/send), and A2A-Extensions: https://github.com/google-a2a/a2a-x402/v0.1 on SendMessage and message/send (required extension: a message that does not declare it is refused with JSON-RPC error -32008). Paying in EURC requires an explicit client opt-in since @x402/core 2.23 (spendControls.allowedAssets), otherwise your client silently keeps the USDC option. Set allowedAssets[].maxAmountPerPayment as well (integer ATOMIC amount, e.g. "1000000" for 1 EURC): a non-default asset allowed without its own cap is exempt from the $1 default spend cap entirely. Your x402 client also refuses, by default, any quote above $1.00 per payment (spendControls.maxAmountPerPayment); only GET /v1/kyb/batch (up to $10.50), GET /v1/identite/lot (up to $3.00), GET /v1/surveillance/creer (up to $50.00), GET /v1/surveillance/:jeton/renouveler (up to $50.00), GET /v1/score/defaillance/lot (up to $7.00) can exceed it at full size — each of those skills says so. Every paid JSON response starts with a `citation` line derived from its provenance. When you report a result, cite its `citation` verbatim. Free text is not interpreted. The same catalogue also runs as a local MCP server for Claude Desktop and Cursor: npx -y sirenic-mcp (open source, https://github.com/sirenic-eu/sirenic-mcp). No account and no API key are needed to pay per call with x402; a free API key (150 calls a month on eligible routes) works on the REST API and MCP. A2A itself takes x402 only. Free API key, no card: 150 calls a month on routes at $0.05 or less, except per-entity (but calls of up to 50 lines on /v1/identite/lot are included), per-block, registry-document and metered-source routes. https://api.sirenic.eu/compte?utm_source=api&utm_campaign=agent-card
C+9.0 🔓 open JSONRPC 127 skills -
Tool exchange for AI agents run by Alf Agent: 79 tools — crypto markets and DeFi on every chain (prices, TVL, yields, stablecoins, perps funding, order books, gas, EVM contracts and token security), Solana and pump.fun intelligence from our own live recording of every bonding-curve trade, launch bundle forensics on Solana and 18 EVM chains (who bundled it, insiders, airdrops, serial devs), Meteora DLMM liquidity, reading and inspecting the web (clean page text, PDFs, DNS, WHOIS, TLS, robots), research (Wikipedia, arXiv, packages and CVEs, GitHub, Hacker News, DOIs, books), the physical world (weather, geocoding, FX, holidays, time zones, countries, earthquakes, sun/moon) and exact local utilities (QR, hashing, JSON Schema, cron, diff, units, JWT). Pay per call in USDC or SOL (x402) or with credits.
B+9.7 🔓 open HTTP+JSON 80 skills -
AAAA-NexusAtomadic Tech● healthy
Agent Control Plane - 146+ endpoints for AI agent security, trust, reputation, escrow, SLA enforcement, formal verification, compliance, discovery, and x402 USDC micropayments on Base L2. Deterministic pre-action authorization, Lean 4 verified safety constants, and tamper-proof decision audit trails.
B9.6 🔓 open 26 skills -
x402 money tools for AI agents: a one-signature USDC bridge from Base to 16 chains, the live Polymarket price to beat (BTC, ETH, SOL, XRP on 5m and 15m), a tokenized US stock basket from $1, and gas paid in USDC, plus free USDC and x402 debugging tools and a remote MCP server (28 tools). No account, no API key. The stock index: agent-native tokenized-stock index on Base. Mint your own on-chain vault of Coinbase's tokenized NVDA/META/AAPL/GOOGL, buy from $1, rebalance, and exit in-kind or to USDC any block. No oracle, no token, fully self-custodial. Reads free; transactions return unsigned calldata the agent signs.
A9.8 🔓 open 10 skills -
PaKi Curator is the catalogue agent for the moving-image work of artist César Yagüe, reachable over A2A and MCP: 296 seamless master loops, intuitively crafted as living entities and never generated, across 15 collections plus Singles, from HD to native 16K, delivered lossless, each an edition of 1 of 1 with a stable identifier, its own page, and published licensing terms (cesaryague.es/rights). Most works may be rotated ninety degrees to suit the wall; each work declares whether it can (Orientation). The full catalogue is machine-readable at https://cesaryague.es/works.jsonld. Ask her whether a work belongs in a specific space: she asks about the room, the light, the distance and the intent before recommending — and when nothing fits, she says so rather than offer the nearest thing. Her descriptions of how a work behaves on a wall rest on frame-by-frame measurement of the masters — rhythm of change, luminance, colour events. Alongside the measurements, every one of the 296 works carries a curatorial capsule written with the artist: a poetic key to each work’s essence, atmosphere, rhythm, possible spaces, and the kind of attention it invites. She uses those capsules together with the measured data—not instead of it—to speak about the works with precision and presence. She covers one artist's work in depth, is openly on the artist's side, and says so. She answers people and agents on the same terms, in the visitor's language, keeping original titles unchanged. She does not transact: enquiries reach the studio directly. Built by César Yagüe and Sara Vázquez with AI collaborators.
C7.8 🔓 open 8 skills